Create content item
curl --request POST \
--url https://api.sapt.ai/projects/{projectId}/cms/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contentTypeSlug": "<string>",
"slug": "<string>",
"name": "<string>",
"content": {},
"displayOrder": 123,
"tags": [
"<string>"
],
"scheduledAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.sapt.ai/projects/{projectId}/cms/items"
payload = {
"contentTypeSlug": "<string>",
"slug": "<string>",
"name": "<string>",
"content": {},
"displayOrder": 123,
"tags": ["<string>"],
"scheduledAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contentTypeSlug: '<string>',
slug: '<string>',
name: '<string>',
content: {},
displayOrder: 123,
tags: ['<string>'],
scheduledAt: '2023-11-07T05:31:56Z',
publishedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.sapt.ai/projects/{projectId}/cms/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"item": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contentTypeSlug": "<string>",
"slug": "<string>",
"name": "<string>",
"content": {},
"publishedAt": "2023-11-07T05:31:56Z",
"scheduledAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "draft",
"displayOrder": 0,
"tags": []
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}CMS
Create content item
Create content in an existing content type. Dates are ISO 8601 timestamps. Invalid content returns 400 with field errors in error.details.errors.
POST
/
projects
/
{projectId}
/
cms
/
items
Create content item
Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Path Parameters
Body
application/json
Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Available options:
draft, scheduled, published, archived Response
Created content item
Show child attributes
Show child attributes